/**
 * generated by Xtext 2.21.0
 */
package br.ufes.nemo.seon.ontoloyasservice.oaas;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasFactory
 * @model kind="package"
 * @generated
 */
public interface OaasPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "oaas";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.ufes.br/nemo/seon/ontoloyasservice/Oaas";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "oaas";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  OaasPackage eINSTANCE = br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl.init();

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ApplicationImpl <em>Application</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ApplicationImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getApplication()
   * @generated
   */
  int APPLICATION = 0;

  /**
   * The feature id for the '<em><b>Configuration</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int APPLICATION__CONFIGURATION = 0;

  /**
   * The feature id for the '<em><b>Abstract Elements</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int APPLICATION__ABSTRACT_ELEMENTS = 1;

  /**
   * The number of structural features of the '<em>Application</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int APPLICATION_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl <em>Configuration</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getConfiguration()
   * @generated
   */
  int CONFIGURATION = 1;

  /**
   * The feature id for the '<em><b>Ontology</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION__ONTOLOGY = 0;

  /**
   * The feature id for the '<em><b>Ontology Short Name</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION__ONTOLOGY_SHORT_NAME = 1;

  /**
   * The feature id for the '<em><b>Level</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION__LEVEL = 2;

  /**
   * The feature id for the '<em><b>About</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION__ABOUT = 3;

  /**
   * The feature id for the '<em><b>Software</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION__SOFTWARE = 4;

  /**
   * The feature id for the '<em><b>Author</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION__AUTHOR = 5;

  /**
   * The feature id for the '<em><b>Author email</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION__AUTHOR_EMAIL = 6;

  /**
   * The feature id for the '<em><b>Repository</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION__REPOSITORY = 7;

  /**
   * The number of structural features of the '<em>Configuration</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CONFIGURATION_FEATURE_COUNT = 8;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OntologyImpl <em>Ontology</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OntologyImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getOntology()
   * @generated
   */
  int ONTOLOGY = 2;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONTOLOGY__NAME = 0;

  /**
   * The number of structural features of the '<em>Ontology</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONTOLOGY_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.LevelImpl <em>Level</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.LevelImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getLevel()
   * @generated
   */
  int LEVEL = 3;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LEVEL__NAME = 0;

  /**
   * The number of structural features of the '<em>Level</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LEVEL_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AuthorImpl <em>Author</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AuthorImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAuthor()
   * @generated
   */
  int AUTHOR = 4;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTHOR__NAME = 0;

  /**
   * The number of structural features of the '<em>Author</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTHOR_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.Author_EmailImpl <em>Author Email</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.Author_EmailImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAuthor_Email()
   * @generated
   */
  int AUTHOR_EMAIL = 5;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTHOR_EMAIL__NAME = 0;

  /**
   * The number of structural features of the '<em>Author Email</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AUTHOR_EMAIL_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.RepositoryImpl <em>Repository</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.RepositoryImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getRepository()
   * @generated
   */
  int REPOSITORY = 6;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REPOSITORY__NAME = 0;

  /**
   * The number of structural features of the '<em>Repository</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int REPOSITORY_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OntologyShortNameImpl <em>Ontology Short Name</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OntologyShortNameImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getOntologyShortName()
   * @generated
   */
  int ONTOLOGY_SHORT_NAME = 7;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONTOLOGY_SHORT_NAME__NAME = 0;

  /**
   * The number of structural features of the '<em>Ontology Short Name</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONTOLOGY_SHORT_NAME_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.SoftwareImpl <em>Software</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.SoftwareImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getSoftware()
   * @generated
   */
  int SOFTWARE = 8;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE__NAME = 0;

  /**
   * The number of structural features of the '<em>Software</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SOFTWARE_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AboutImpl <em>About</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AboutImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAbout()
   * @generated
   */
  int ABOUT = 9;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABOUT__NAME = 0;

  /**
   * The number of structural features of the '<em>About</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABOUT_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.DescriptionImpl <em>Description</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.DescriptionImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getDescription()
   * @generated
   */
  int DESCRIPTION = 10;

  /**
   * The feature id for the '<em><b>Textfield</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DESCRIPTION__TEXTFIELD = 0;

  /**
   * The number of structural features of the '<em>Description</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DESCRIPTION_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.Entity_TypeImpl <em>Entity Type</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.Entity_TypeImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getEntity_Type()
   * @generated
   */
  int ENTITY_TYPE = 11;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY_TYPE__NAME = 0;

  /**
   * The number of structural features of the '<em>Entity Type</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY_TYPE_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AbstractElementImpl <em>Abstract Element</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AbstractElementImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAbstractElement()
   * @generated
   */
  int ABSTRACT_ELEMENT = 13;

  /**
   * The number of structural features of the '<em>Abstract Element</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ABSTRACT_ELEMENT_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ModuleImpl <em>Module</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ModuleImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getModule()
   * @generated
   */
  int MODULE = 12;

  /**
   * The feature id for the '<em><b>Description</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODULE__DESCRIPTION = ABSTRACT_ELEMENT_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODULE__NAME = ABSTRACT_ELEMENT_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Elements</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODULE__ELEMENTS = ABSTRACT_ELEMENT_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Module</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODULE_FEATURE_COUNT = ABSTRACT_ELEMENT_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ImportImpl <em>Import</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ImportImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getImport()
   * @generated
   */
  int IMPORT = 14;

  /**
   * The feature id for the '<em><b>Imported Namespace</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IMPORT__IMPORTED_NAMESPACE = ABSTRACT_ELEMENT_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Import</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int IMPORT_FEATURE_COUNT = ABSTRACT_ELEMENT_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.EntityImpl <em>Entity</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.EntityImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getEntity()
   * @generated
   */
  int ENTITY = 15;

  /**
   * The feature id for the '<em><b>Description</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY__DESCRIPTION = ABSTRACT_ELEMENT_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY__NAME = ABSTRACT_ELEMENT_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Super Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY__SUPER_TYPE = ABSTRACT_ELEMENT_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Entity type</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY__ENTITY_TYPE = ABSTRACT_ELEMENT_FEATURE_COUNT + 3;

  /**
   * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY__ATTRIBUTES = ABSTRACT_ELEMENT_FEATURE_COUNT + 4;

  /**
   * The feature id for the '<em><b>Functions</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY__FUNCTIONS = ABSTRACT_ELEMENT_FEATURE_COUNT + 5;

  /**
   * The feature id for the '<em><b>Relations</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY__RELATIONS = ABSTRACT_ELEMENT_FEATURE_COUNT + 6;

  /**
   * The number of structural features of the '<em>Entity</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ENTITY_FEATURE_COUNT = ABSTRACT_ELEMENT_FEATURE_COUNT + 7;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AttributeImpl <em>Attribute</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AttributeImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAttribute()
   * @generated
   */
  int ATTRIBUTE = 16;

  /**
   * The feature id for the '<em><b>Description</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ATTRIBUTE__DESCRIPTION = 0;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ATTRIBUTE__NAME = 1;

  /**
   * The feature id for the '<em><b>Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ATTRIBUTE__TYPE = 2;

  /**
   * The number of structural features of the '<em>Attribute</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ATTRIBUTE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.RelationImpl <em>Relation</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.RelationImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getRelation()
   * @generated
   */
  int RELATION = 17;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RELATION__NAME = 0;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RELATION__TYPE = 1;

  /**
   * The number of structural features of the '<em>Relation</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RELATION_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OneToOneImpl <em>One To One</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OneToOneImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getOneToOne()
   * @generated
   */
  int ONE_TO_ONE = 18;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONE_TO_ONE__NAME = RELATION__NAME;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONE_TO_ONE__TYPE = RELATION__TYPE;

  /**
   * The number of structural features of the '<em>One To One</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONE_TO_ONE_FEATURE_COUNT = RELATION_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ManyToManyImpl <em>Many To Many</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ManyToManyImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getManyToMany()
   * @generated
   */
  int MANY_TO_MANY = 19;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MANY_TO_MANY__NAME = RELATION__NAME;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MANY_TO_MANY__TYPE = RELATION__TYPE;

  /**
   * The number of structural features of the '<em>Many To Many</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MANY_TO_MANY_FEATURE_COUNT = RELATION_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OneToManyImpl <em>One To Many</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OneToManyImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getOneToMany()
   * @generated
   */
  int ONE_TO_MANY = 20;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONE_TO_MANY__NAME = RELATION__NAME;

  /**
   * The feature id for the '<em><b>Type</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONE_TO_MANY__TYPE = RELATION__TYPE;

  /**
   * The number of structural features of the '<em>One To Many</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ONE_TO_MANY_FEATURE_COUNT = RELATION_FEATURE_COUNT + 0;

  /**
   * The meta object id for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.FunctionImpl <em>Function</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.FunctionImpl
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getFunction()
   * @generated
   */
  int FUNCTION = 21;

  /**
   * The feature id for the '<em><b>Description</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTION__DESCRIPTION = 0;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTION__NAME = 1;

  /**
   * The feature id for the '<em><b>Params</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTION__PARAMS = 2;

  /**
   * The feature id for the '<em><b>Type</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTION__TYPE = 3;

  /**
   * The number of structural features of the '<em>Function</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FUNCTION_FEATURE_COUNT = 4;


  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Application <em>Application</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Application</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Application
   * @generated
   */
  EClass getApplication();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Application#getConfiguration <em>Configuration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Configuration</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Application#getConfiguration()
   * @see #getApplication()
   * @generated
   */
  EReference getApplication_Configuration();

  /**
   * Returns the meta object for the containment reference list '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Application#getAbstractElements <em>Abstract Elements</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Abstract Elements</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Application#getAbstractElements()
   * @see #getApplication()
   * @generated
   */
  EReference getApplication_AbstractElements();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration <em>Configuration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Configuration</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration
   * @generated
   */
  EClass getConfiguration();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getOntology <em>Ontology</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Ontology</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getOntology()
   * @see #getConfiguration()
   * @generated
   */
  EReference getConfiguration_Ontology();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getOntologyShortName <em>Ontology Short Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Ontology Short Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getOntologyShortName()
   * @see #getConfiguration()
   * @generated
   */
  EReference getConfiguration_OntologyShortName();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getLevel <em>Level</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Level</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getLevel()
   * @see #getConfiguration()
   * @generated
   */
  EReference getConfiguration_Level();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAbout <em>About</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>About</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAbout()
   * @see #getConfiguration()
   * @generated
   */
  EReference getConfiguration_About();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getSoftware <em>Software</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Software</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getSoftware()
   * @see #getConfiguration()
   * @generated
   */
  EReference getConfiguration_Software();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAuthor <em>Author</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Author</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAuthor()
   * @see #getConfiguration()
   * @generated
   */
  EReference getConfiguration_Author();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAuthor_email <em>Author email</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Author email</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAuthor_email()
   * @see #getConfiguration()
   * @generated
   */
  EReference getConfiguration_Author_email();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getRepository <em>Repository</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Repository</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getRepository()
   * @see #getConfiguration()
   * @generated
   */
  EReference getConfiguration_Repository();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Ontology <em>Ontology</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Ontology</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Ontology
   * @generated
   */
  EClass getOntology();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Ontology#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Ontology#getName()
   * @see #getOntology()
   * @generated
   */
  EAttribute getOntology_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Level <em>Level</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Level</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Level
   * @generated
   */
  EClass getLevel();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Level#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Level#getName()
   * @see #getLevel()
   * @generated
   */
  EAttribute getLevel_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Author <em>Author</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Author</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Author
   * @generated
   */
  EClass getAuthor();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Author#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Author#getName()
   * @see #getAuthor()
   * @generated
   */
  EAttribute getAuthor_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Author_Email <em>Author Email</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Author Email</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Author_Email
   * @generated
   */
  EClass getAuthor_Email();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Author_Email#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Author_Email#getName()
   * @see #getAuthor_Email()
   * @generated
   */
  EAttribute getAuthor_Email_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Repository <em>Repository</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Repository</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Repository
   * @generated
   */
  EClass getRepository();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Repository#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Repository#getName()
   * @see #getRepository()
   * @generated
   */
  EAttribute getRepository_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.OntologyShortName <em>Ontology Short Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Ontology Short Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OntologyShortName
   * @generated
   */
  EClass getOntologyShortName();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.OntologyShortName#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OntologyShortName#getName()
   * @see #getOntologyShortName()
   * @generated
   */
  EAttribute getOntologyShortName_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Software <em>Software</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Software</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Software
   * @generated
   */
  EClass getSoftware();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Software#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Software#getName()
   * @see #getSoftware()
   * @generated
   */
  EAttribute getSoftware_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.About <em>About</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>About</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.About
   * @generated
   */
  EClass getAbout();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.About#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.About#getName()
   * @see #getAbout()
   * @generated
   */
  EAttribute getAbout_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Description <em>Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Description</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Description
   * @generated
   */
  EClass getDescription();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Description#getTextfield <em>Textfield</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Textfield</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Description#getTextfield()
   * @see #getDescription()
   * @generated
   */
  EAttribute getDescription_Textfield();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity_Type <em>Entity Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Entity Type</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity_Type
   * @generated
   */
  EClass getEntity_Type();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity_Type#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity_Type#getName()
   * @see #getEntity_Type()
   * @generated
   */
  EAttribute getEntity_Type_Name();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module <em>Module</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Module</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Module
   * @generated
   */
  EClass getModule();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getDescription <em>Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Description</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getDescription()
   * @see #getModule()
   * @generated
   */
  EReference getModule_Description();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getName()
   * @see #getModule()
   * @generated
   */
  EAttribute getModule_Name();

  /**
   * Returns the meta object for the containment reference list '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getElements <em>Elements</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Elements</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getElements()
   * @see #getModule()
   * @generated
   */
  EReference getModule_Elements();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.AbstractElement <em>Abstract Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Abstract Element</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.AbstractElement
   * @generated
   */
  EClass getAbstractElement();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Import <em>Import</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Import</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Import
   * @generated
   */
  EClass getImport();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Import#getImportedNamespace <em>Imported Namespace</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Imported Namespace</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Import#getImportedNamespace()
   * @see #getImport()
   * @generated
   */
  EAttribute getImport_ImportedNamespace();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity <em>Entity</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Entity</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity
   * @generated
   */
  EClass getEntity();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getDescription <em>Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Description</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getDescription()
   * @see #getEntity()
   * @generated
   */
  EReference getEntity_Description();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getName()
   * @see #getEntity()
   * @generated
   */
  EAttribute getEntity_Name();

  /**
   * Returns the meta object for the reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getSuperType <em>Super Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Super Type</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getSuperType()
   * @see #getEntity()
   * @generated
   */
  EReference getEntity_SuperType();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getEntity_type <em>Entity type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Entity type</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getEntity_type()
   * @see #getEntity()
   * @generated
   */
  EReference getEntity_Entity_type();

  /**
   * Returns the meta object for the containment reference list '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getAttributes <em>Attributes</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Attributes</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getAttributes()
   * @see #getEntity()
   * @generated
   */
  EReference getEntity_Attributes();

  /**
   * Returns the meta object for the containment reference list '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getFunctions <em>Functions</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Functions</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getFunctions()
   * @see #getEntity()
   * @generated
   */
  EReference getEntity_Functions();

  /**
   * Returns the meta object for the containment reference list '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getRelations <em>Relations</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Relations</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Entity#getRelations()
   * @see #getEntity()
   * @generated
   */
  EReference getEntity_Relations();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Attribute <em>Attribute</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Attribute</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Attribute
   * @generated
   */
  EClass getAttribute();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Attribute#getDescription <em>Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Description</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Attribute#getDescription()
   * @see #getAttribute()
   * @generated
   */
  EReference getAttribute_Description();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Attribute#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Attribute#getName()
   * @see #getAttribute()
   * @generated
   */
  EAttribute getAttribute_Name();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Attribute#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Type</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Attribute#getType()
   * @see #getAttribute()
   * @generated
   */
  EAttribute getAttribute_Type();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Relation <em>Relation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Relation</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Relation
   * @generated
   */
  EClass getRelation();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Relation#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Relation#getName()
   * @see #getRelation()
   * @generated
   */
  EAttribute getRelation_Name();

  /**
   * Returns the meta object for the reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Relation#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Type</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Relation#getType()
   * @see #getRelation()
   * @generated
   */
  EReference getRelation_Type();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.OneToOne <em>One To One</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>One To One</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OneToOne
   * @generated
   */
  EClass getOneToOne();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.ManyToMany <em>Many To Many</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Many To Many</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.ManyToMany
   * @generated
   */
  EClass getManyToMany();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.OneToMany <em>One To Many</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>One To Many</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OneToMany
   * @generated
   */
  EClass getOneToMany();

  /**
   * Returns the meta object for class '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Function <em>Function</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Function</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Function
   * @generated
   */
  EClass getFunction();

  /**
   * Returns the meta object for the containment reference '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Function#getDescription <em>Description</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Description</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Function#getDescription()
   * @see #getFunction()
   * @generated
   */
  EReference getFunction_Description();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Function#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Function#getName()
   * @see #getFunction()
   * @generated
   */
  EAttribute getFunction_Name();

  /**
   * Returns the meta object for the attribute list '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Function#getParams <em>Params</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute list '<em>Params</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Function#getParams()
   * @see #getFunction()
   * @generated
   */
  EAttribute getFunction_Params();

  /**
   * Returns the meta object for the attribute '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Function#getType <em>Type</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Type</em>'.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.Function#getType()
   * @see #getFunction()
   * @generated
   */
  EAttribute getFunction_Type();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  OaasFactory getOaasFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ApplicationImpl <em>Application</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ApplicationImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getApplication()
     * @generated
     */
    EClass APPLICATION = eINSTANCE.getApplication();

    /**
     * The meta object literal for the '<em><b>Configuration</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference APPLICATION__CONFIGURATION = eINSTANCE.getApplication_Configuration();

    /**
     * The meta object literal for the '<em><b>Abstract Elements</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference APPLICATION__ABSTRACT_ELEMENTS = eINSTANCE.getApplication_AbstractElements();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl <em>Configuration</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ConfigurationImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getConfiguration()
     * @generated
     */
    EClass CONFIGURATION = eINSTANCE.getConfiguration();

    /**
     * The meta object literal for the '<em><b>Ontology</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIGURATION__ONTOLOGY = eINSTANCE.getConfiguration_Ontology();

    /**
     * The meta object literal for the '<em><b>Ontology Short Name</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIGURATION__ONTOLOGY_SHORT_NAME = eINSTANCE.getConfiguration_OntologyShortName();

    /**
     * The meta object literal for the '<em><b>Level</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIGURATION__LEVEL = eINSTANCE.getConfiguration_Level();

    /**
     * The meta object literal for the '<em><b>About</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIGURATION__ABOUT = eINSTANCE.getConfiguration_About();

    /**
     * The meta object literal for the '<em><b>Software</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIGURATION__SOFTWARE = eINSTANCE.getConfiguration_Software();

    /**
     * The meta object literal for the '<em><b>Author</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIGURATION__AUTHOR = eINSTANCE.getConfiguration_Author();

    /**
     * The meta object literal for the '<em><b>Author email</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIGURATION__AUTHOR_EMAIL = eINSTANCE.getConfiguration_Author_email();

    /**
     * The meta object literal for the '<em><b>Repository</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CONFIGURATION__REPOSITORY = eINSTANCE.getConfiguration_Repository();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OntologyImpl <em>Ontology</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OntologyImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getOntology()
     * @generated
     */
    EClass ONTOLOGY = eINSTANCE.getOntology();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ONTOLOGY__NAME = eINSTANCE.getOntology_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.LevelImpl <em>Level</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.LevelImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getLevel()
     * @generated
     */
    EClass LEVEL = eINSTANCE.getLevel();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute LEVEL__NAME = eINSTANCE.getLevel_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AuthorImpl <em>Author</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AuthorImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAuthor()
     * @generated
     */
    EClass AUTHOR = eINSTANCE.getAuthor();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute AUTHOR__NAME = eINSTANCE.getAuthor_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.Author_EmailImpl <em>Author Email</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.Author_EmailImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAuthor_Email()
     * @generated
     */
    EClass AUTHOR_EMAIL = eINSTANCE.getAuthor_Email();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute AUTHOR_EMAIL__NAME = eINSTANCE.getAuthor_Email_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.RepositoryImpl <em>Repository</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.RepositoryImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getRepository()
     * @generated
     */
    EClass REPOSITORY = eINSTANCE.getRepository();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute REPOSITORY__NAME = eINSTANCE.getRepository_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OntologyShortNameImpl <em>Ontology Short Name</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OntologyShortNameImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getOntologyShortName()
     * @generated
     */
    EClass ONTOLOGY_SHORT_NAME = eINSTANCE.getOntologyShortName();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ONTOLOGY_SHORT_NAME__NAME = eINSTANCE.getOntologyShortName_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.SoftwareImpl <em>Software</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.SoftwareImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getSoftware()
     * @generated
     */
    EClass SOFTWARE = eINSTANCE.getSoftware();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SOFTWARE__NAME = eINSTANCE.getSoftware_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AboutImpl <em>About</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AboutImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAbout()
     * @generated
     */
    EClass ABOUT = eINSTANCE.getAbout();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ABOUT__NAME = eINSTANCE.getAbout_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.DescriptionImpl <em>Description</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.DescriptionImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getDescription()
     * @generated
     */
    EClass DESCRIPTION = eINSTANCE.getDescription();

    /**
     * The meta object literal for the '<em><b>Textfield</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DESCRIPTION__TEXTFIELD = eINSTANCE.getDescription_Textfield();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.Entity_TypeImpl <em>Entity Type</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.Entity_TypeImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getEntity_Type()
     * @generated
     */
    EClass ENTITY_TYPE = eINSTANCE.getEntity_Type();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ENTITY_TYPE__NAME = eINSTANCE.getEntity_Type_Name();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ModuleImpl <em>Module</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ModuleImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getModule()
     * @generated
     */
    EClass MODULE = eINSTANCE.getModule();

    /**
     * The meta object literal for the '<em><b>Description</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MODULE__DESCRIPTION = eINSTANCE.getModule_Description();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute MODULE__NAME = eINSTANCE.getModule_Name();

    /**
     * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MODULE__ELEMENTS = eINSTANCE.getModule_Elements();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AbstractElementImpl <em>Abstract Element</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AbstractElementImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAbstractElement()
     * @generated
     */
    EClass ABSTRACT_ELEMENT = eINSTANCE.getAbstractElement();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ImportImpl <em>Import</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ImportImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getImport()
     * @generated
     */
    EClass IMPORT = eINSTANCE.getImport();

    /**
     * The meta object literal for the '<em><b>Imported Namespace</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute IMPORT__IMPORTED_NAMESPACE = eINSTANCE.getImport_ImportedNamespace();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.EntityImpl <em>Entity</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.EntityImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getEntity()
     * @generated
     */
    EClass ENTITY = eINSTANCE.getEntity();

    /**
     * The meta object literal for the '<em><b>Description</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ENTITY__DESCRIPTION = eINSTANCE.getEntity_Description();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ENTITY__NAME = eINSTANCE.getEntity_Name();

    /**
     * The meta object literal for the '<em><b>Super Type</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ENTITY__SUPER_TYPE = eINSTANCE.getEntity_SuperType();

    /**
     * The meta object literal for the '<em><b>Entity type</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ENTITY__ENTITY_TYPE = eINSTANCE.getEntity_Entity_type();

    /**
     * The meta object literal for the '<em><b>Attributes</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ENTITY__ATTRIBUTES = eINSTANCE.getEntity_Attributes();

    /**
     * The meta object literal for the '<em><b>Functions</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ENTITY__FUNCTIONS = eINSTANCE.getEntity_Functions();

    /**
     * The meta object literal for the '<em><b>Relations</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ENTITY__RELATIONS = eINSTANCE.getEntity_Relations();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AttributeImpl <em>Attribute</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.AttributeImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getAttribute()
     * @generated
     */
    EClass ATTRIBUTE = eINSTANCE.getAttribute();

    /**
     * The meta object literal for the '<em><b>Description</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ATTRIBUTE__DESCRIPTION = eINSTANCE.getAttribute_Description();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ATTRIBUTE__NAME = eINSTANCE.getAttribute_Name();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ATTRIBUTE__TYPE = eINSTANCE.getAttribute_Type();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.RelationImpl <em>Relation</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.RelationImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getRelation()
     * @generated
     */
    EClass RELATION = eINSTANCE.getRelation();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RELATION__NAME = eINSTANCE.getRelation_Name();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference RELATION__TYPE = eINSTANCE.getRelation_Type();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OneToOneImpl <em>One To One</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OneToOneImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getOneToOne()
     * @generated
     */
    EClass ONE_TO_ONE = eINSTANCE.getOneToOne();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ManyToManyImpl <em>Many To Many</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.ManyToManyImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getManyToMany()
     * @generated
     */
    EClass MANY_TO_MANY = eINSTANCE.getManyToMany();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OneToManyImpl <em>One To Many</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OneToManyImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getOneToMany()
     * @generated
     */
    EClass ONE_TO_MANY = eINSTANCE.getOneToMany();

    /**
     * The meta object literal for the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.impl.FunctionImpl <em>Function</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.FunctionImpl
     * @see br.ufes.nemo.seon.ontoloyasservice.oaas.impl.OaasPackageImpl#getFunction()
     * @generated
     */
    EClass FUNCTION = eINSTANCE.getFunction();

    /**
     * The meta object literal for the '<em><b>Description</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FUNCTION__DESCRIPTION = eINSTANCE.getFunction_Description();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FUNCTION__NAME = eINSTANCE.getFunction_Name();

    /**
     * The meta object literal for the '<em><b>Params</b></em>' attribute list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FUNCTION__PARAMS = eINSTANCE.getFunction_Params();

    /**
     * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FUNCTION__TYPE = eINSTANCE.getFunction_Type();

  }

} //OaasPackage
